/*
 * arpalab.h
 *
 *  Created on: Jun 4, 2014
 *      Author: Miguel Angel Sanchez Muñoz
 */

#ifndef ARPALAB_H_
#define ARPALAB_H_

#include "type.h"
#include "uart.h"
#include "delay.h"
#include "wifly.h"
#include "printf.h"
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

/*****************************************************************************
** Function name:		Wifly_GET_HTTP
**
** Descriptions:		Connect to Host and send
**
** parameters:			UART port, host, remote port and url request
** Returned value:		Response to server
**
*****************************************************************************/
int32_t Wifly_GET_HTTP(uint8_t portNum, uint8_t *host, uint8_t *remotePort, uint8_t *url);

#endif /* ARPALAB_H_ */
