/*
 * arpalab.c
 *
 *  Created on: Jun 4, 2014
 *      Author: Miguel Angel Sanchez Muñoz
 */

#include "arpalab.h"


int32_t Wifly_GET_HTTP(uint8_t portNum, uint8_t *host, uint8_t *remotePort, uint8_t *url)
{
	char *string;
	int32_t value = 0;
	char Buffer[BUFSIZE];
	Buffer[0] = '\0';

	//Wifly_CMD(portNum);

	Print_CRLF(portNum, (uint8_t *)"set ip protocol 18");
	Print_Value_CRLF(portNum, (uint8_t *)"set dns name", host);
	Print_CRLF(portNum, (uint8_t *)"set ip address 0");
	Print_Value_CRLF(portNum, (uint8_t *)"set ip remote", (uint8_t *)remotePort);
	Print_CRLF(portNum, (uint8_t *)"set com remote 0");
	Wifly_Exit(portNum);

	Wifly_OpenHost(host, (uint8_t *)remotePort, (uint8_t *)"10");

	sprintf(Buffer, "GET %s HTTP/1.0\r\nhost:%s", url, host);

	Print_CRLF(portNum, (uint8_t *)Buffer);

	UART_Receive(portNum, (uint8_t *)Buffer, 4000);

	string = strtok(Buffer, (char *)"\n");
	do
	{
		if (string!=NULL) value = atoi(string);
		string = strtok(NULL,"\n");
	} while ( string!=NULL );

	return value;
}

/******************************************************************************
**                            End Of File
******************************************************************************/
