/*
 * led.c
 *
 *  Created on: Mar 12, 2014
 *      Author: Miguel Angel Sanchez Muñoz
 */

#include "led.h"

uint8_t led;

/*-----------------------------------------------------------*/

void led_init(uint8_t pin)
{
	led = pin;
	pinSet(led, 1);
}

/*-----------------------------------------------------------*/

void led_on()
{
	pinWrite(led, 1);
}

/*-----------------------------------------------------------*/

void led_off()
{
	pinWrite(led, 0);
}

/*-----------------------------------------------------------*/

void led_toggle()
{
	pinToggle(led);
}

/******************************************************************************
**                            End Of File
******************************************************************************/
